×

Discussion Board

Results 1 to 10 of 10
  1. #1
    Regular Contributor
    Join Date
    Sep 2005
    Location
    Finland, Helsinki
    Posts
    323

    [Announce] Miso 1.97 for PyS60 1.9.x

    Good news: miso is now built for PyS60 1.9 series too.

    http://www.hiit.fi/files/fi/da/miso/utils/download/

    For 3rd Ed devices there are now separate packages (both selfsigned and devcert signable) for FP0, FP1 and FP2 models. Also miso for PyS60 1.4 series is updated.

    miso.restart_phone() is not working in FP2 phones. I've posted a feature request "Official way to reboot device".
    --
    Aapo Rista
    http://code.google.com/p/pys60gps/
    http://opennetmap.org/

  2. #2
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    hello aaaaapo

    great update buddy .

    But the versions at the download link are not distinguisable according to different S60 versions.

    Can you help that out.

    Regards
    Gaba88

  3. #3
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,795

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Thanks,

    Should try the module repository feature of the application packager with this - was looking for an extension and here it comes!

    Btw, where can I get the source?

    Cheers,
    Croozeus
    Pankaj Nathani
    www.croozeus.com

  4. #4
    Registered User
    Join Date
    Nov 2004
    Posts
    18

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Quote Originally Posted by croozeus View Post
    Btw, where can I get the source?
    The project webpage at
    http://www.hiit.fi/files/fi/da/miso/utils/web/
    has a link to sources and docs and such.

  5. #5
    Registered User
    Join Date
    Apr 2009
    Posts
    10

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Thankyou! I'm sure this will be very useful!

  6. #6
    Registered User
    Join Date
    Jun 2009
    Posts
    3

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    I installed self-signed miso 1.97 v2 for 3rd FP1 but I get an error when importing it like below. What could the problem be?

    I have installed following things on E71.
    - Python_1.9.5.sis
    - PythonScriptShell_1.9.5_high_capas.sis
    - miso-1.97-s60_31_py2_self.sisx

    Code:
    >>> import miso
    Traceback (most recent call last):
      File "<console>", line 1, in <module>
      File "c:\resource\python25\python25.zip\site.py", line 86, in platsec_import
        return _original_import(name, globals, locals, fromlist, level)
      File "c:\resource\python25\miso.py", line 2, in <module>
        _miso = imp.load_dynamic('_miso', '\\sys\\bin\\kf_miso_0xe3462347.pyd')
    ImportError: dlopen: Load failed

  7. #7
    Regular Contributor
    Join Date
    Oct 2007
    Posts
    114

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Quote Originally Posted by aaaaapo View Post
    Good news: miso is now built for PyS60 1.9 series too.

    http://www.hiit.fi/files/fi/da/miso/utils/download/

    For 3rd Ed devices there are now separate packages (both selfsigned and devcert signable) for FP0, FP1 and FP2 models. Also miso for PyS60 1.4 series is updated.

    miso.restart_phone() is not working in FP2 phones. I've posted a feature request "Official way to reboot device".
    Did you give the "Module repository" a try? Instead of distributing your extension as sis files in - Selfsigned and Devcert - 3.0, 3.1 and 3.2 - variants, you could just build one version of your pyd and the wrapper py. This is how:

    1) You should check out e32.s60_version_info as it is now modified to do a dynamic fetch and return the S60 version information, instead of returning the version information configured at the compile time. So, you could do all the platform checks in your wrapper and this should eliminate the 3 variants.

    2) You can distribute your extension as a zip package which the application developers will extract to the Module Repository on their PC. This removes the need to distribute different variants based on the capabilities assigned. The PyS60 application packager will automatically assign the capabilities of the application exe to all the extension PYDs packaged with the application.

    It is great to see people starting to port their extensions to 1.9.x!
    import antigravity

  8. #8
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Quote Originally Posted by ashwinurao View Post
    1) You should check out e32.s60_version_info as it is now modified to do a dynamic fetch and return the S60 version information, instead of returning the version information configured at the compile time. So, you could do all the platform checks in your wrapper and this should eliminate the 3 variants.
    Here's sample code how to do it:

    http://wiki.forum.nokia.com/index.ph...code_variation

    Cheers,

    --jouni

  9. #9
    Regular Contributor
    Join Date
    Oct 2007
    Posts
    114

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Quote Originally Posted by JOM View Post
    Here's sample code how to do it:

    http://wiki.forum.nokia.com/index.ph...code_variation

    Cheers,

    --jouni
    That is pys60_version_info! I was referring to querying the S60 version - 3.0, 3.1, 3.2 etc.. using s60_version_info.
    import antigravity

  10. #10
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: [Announce] Miso 1.97 for PyS60 1.9.x

    Quote Originally Posted by ashwinurao View Post
    That is pys60_version_info! I was referring to querying the S60 version - 3.0, 3.1, 3.2 etc.. using s60_version_info.
    Ups! Sorry, you're right! Whenever someone creates a "new" extension for PyS60 1.9.x then it's pretty obvious which PyS60 version is in use So the only variation needs to be done for different S60 versions, just like you said...

    Going to sleep now,

    --jouni

Similar Threads

  1. [Announce] pygame for S60 for PyS60 1.9.x
    By GameDude in forum Symbian
    Replies: 57
    Last Post: 2011-02-21, 23:18
  2. Replies: 9
    Last Post: 2009-05-12, 23:24
  3. [announce] Misty : MISO for 3rd edition !
    By cyke64 in forum Symbian
    Replies: 24
    Last Post: 2008-12-28, 15:36
  4. [announce] Miso Alarm
    By terohiit in forum Symbian
    Replies: 6
    Last Post: 2007-04-17, 07:29
  5. Replies: 17
    Last Post: 2007-01-11, 18:53

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×